% Determine the x-y coordinates for an ellipse with the equation:  (a x^2) + (b y^2) + (c x y) = 1
%   with a center around (x0,y0)

function [x,y] = plot_ellipse(a,b,c,x0,y0)

start = -0.01;
finish = 2 * pi + 0.1;
increment = 0.01;

count = 0;
for theta = start:increment:finish,
   count = count + 1;
   
   r = sqrt(abs(1/((a + b*((tan(theta))^2) + c*(tan(theta))) * (1 - ((sin(theta))^2)))));
   
   x(count) = r * cos(theta) + x0;
   y(count) = r * sin(theta) + y0;
end
